﻿using System;
using System.Collections.Generic;

namespace Consulenza.ReportCommon
{
    /// <summary>
    /// Rappresenta la classe che contiene informazioni su report Immobiliare.
    /// </summary>
    public class FinalitaImmobiliare
    {
        /// <summary>
        /// Lista di Id dell'immobile catastale per cui è richiesto il report.
        /// </summary>
        public List<string> IdImmobileCatasto { get; set; }

        /// <summary>
        /// Lista di Id delle sezioni (Schede) per cui è richiesto il report.
        /// </summary>
        public List<Int32> IdSezione { get; set; }
        public bool ImmobiliareCEUnica { get; set; }
    }
}
