﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Consulenza.ReportWriter.Business.Headers
{
    public class PageHeader
    {
        public PageHeader(int sectionId, int belongToIndex, string sectionStr, string imagePath, int imageWidth, int imageHeight, int deltaY, string sectionName, string chapterName)
        {
            SectionId = sectionId;
            ImagePath = imagePath;
            SectionName = sectionName;
            ChapterName = chapterName;
            ImageWidth = imageWidth;
            ImageHeight = imageHeight;
            DeltaY = deltaY;
            BelongToIndex = belongToIndex;
        }

        public int SectionId { get; set; }
        public string SectionStr { get; set; }
        public int DeltaY { get; set; }
        public string SectionName { get; set; }
        public string ImagePath { get; set; }
        public int ImageWidth { get; set; }
        public int ImageHeight { get; set; }
        public string ChapterName { get; set; }
        public string TextReplaceGuid { get { return textReplaceGuid; } set { textReplaceGuid = value; } }
        private string textReplaceGuid = Guid.NewGuid().ToString();
        public int BelongToIndex { get; set; }
    }
}
