﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Consulenza.ReportWriter.Business;
using Consulenza.ReportWriter.Manager.Integration;

namespace Consulenza.ReportWriter.Manager.Chapter.Unica.Monitoraggio
{  /// <summary>
    ///S31.PatrimonioAltriIstitutiDettaglioProdotti  idSezione = 74
    /// </summary>
    public class S31 : Unica.S31
    {
        /// <summary>
        /// Costruttore
        /// </summary>
        /// <param name="environmentFacade"></param>
        /// <param name="idChapter"></param>
        public S31(EnvironmentFacade environmentFacade, int idChapter)
            : base(environmentFacade, idChapter)
        {
        }
        public S31(EnvironmentFacade environmentFacade, int idChapter, bool repeatoneachpage)
            : this(environmentFacade, idChapter)
        {
            RepeatOnEachPage = repeatoneachpage;
        }
    }
}
