﻿using System;
using Consulenza.ReportWriter.Business;
using Consulenza.ReportWriter.Business.OBJ_PDF;
using System.Data;

namespace Consulenza.ReportWriter.Manager.Section.Unica.Nucleo
{ 
    /// <summary>
    /// Scheda 11. Patrimonio Fideuram: dettaglio contratti. IdSezione 54
    /// </summary>
    public class S11 : Unica.S11
    {
        public S11(EnvironmentFacade environmentFacade, int idSection)
            : base(environmentFacade, idSection)
        {           
        }

        public override string getTesto1()
        {
            string testo = "";
            if (mostraColonnaIntestatari())
                testo += "In questa scheda sono riportati i contratti, associati al nucleo, che i componenti hanno sottoscritto presso $/Banca/$. Per ciascun contratto si fornisce l'evidenza di tutti i relativi intestatari.";
            else
                testo += "In questa scheda sono riportati i contratti, associati al nucleo, che i componenti hanno sottoscritto presso $/Banca/$.";
            return datiSeiUnico.FormatBanca(testo);
        }
    }
}
