USE [ReportModeler2]
GO

delete from [ReportModeler2].[dbo].[TemplateStrutturaModelli] where id >= 501 and id <= 527
delete from [ReportModeler2].[dbo].[Paragrafi]  where id >= 201 and id <= 227
delete from [ReportModeler2].[dbo].[Capitoli]  where id >= 201 and id <= 227
delete from [ReportModeler2].[dbo].[ClassiLayout] where IdChiaveLayout >= 3501 and IdChiaveLayout <= 3527
delete from [ReportModeler2].[dbo].[ClassiLayout] where IdChiaveLayout >= 3001 and IdChiaveLayout <= 3027
delete from [ReportModeler2].[dbo].[Sezioni] where id >= 201 and id <= 227


insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (201, 'S1 Cover Page')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (202, 'S2 Contesto e scenari - Index')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (203, 'S3 Contesto e scenari - Introduzione')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (204, 'S4 Contesto e scenari - Focus Italia')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (205, 'S5 Contesto e scenari - Focus principali citt')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (206, 'S6 Contesto e scenari - Focus territoriale')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (207, 'S7 Contesto e scenari - Aspettative future')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (208, 'S8 Contesto e scenari - Ambiti di opportunit')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (209, 'S9 Contesto e scenari - La mappa del rischio sismico in Italia')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (210, 'S10 Fiscalit immobiliare - Index')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (211, 'S11 Fiscalit immobiliare - Principali novit derivanti dalla Legge di Bilancio 2017')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (212, 'S12 Fiscalit immobiliare - Scadenzario')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (213, 'S13 Mappatura strategica del patrimonio immobiliare - Index')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (214, 'S14 Mappatura strategica del patrimonio immobiliare - Sintesi')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (215, 'S15 Mappatura strategica del patrimonio immobiliare - Distribuzione geografica')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (216, 'S16 Analisi del rischio - Index')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (217, 'S17 Analisi del rischio - Diversificazione del patrimonio complessivo')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (218, 'S18 Analisi del rischio - Correlazione del patrimonio complessivo')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (219, 'S19 Analisi del rischio - Sintesi')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (220, 'S20 Analisi del rischio - Dettaglio')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (221, 'S21 Dettaglio immobili - Index')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (222, 'S22 Dettaglio immobili - Immobili ad uso abitativo e strumentali')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (223, 'S23 Dettaglio immobili - Immobili dinvestimento')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (224, 'S24 Dettaglio immobili - Immobili con finalit non specificata')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (225, 'S25 Dettaglio immobili - Immobili con diritti e/o quote di diritto variate')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (226, 'S26 Dettaglio immobili - Anomalie catastali')
insert into [ReportModeler2].[dbo].[Sezioni] (id, Descrizione) values (227, 'S27 Glossario - Dictionary')

-- chapters
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3001, 'S1', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S1 Cover Page')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3002, 'S2', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S2 Contesto e scenari - Index')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3003, 'S3', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S3 Contesto e scenari - Introduzione')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3004, 'S4', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S4 Contesto e scenari - Focus Italia')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3005, 'S5', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S5 Contesto e scenari - Focus principali citt')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3006, 'S6', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S6 Contesto e scenari - Focus territoriale')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3007, 'S7', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S7 Contesto e scenari - Aspettative future')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3008, 'S8', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S8 Contesto e scenari - Ambiti di opportunit')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3009, 'S9', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S9 Contesto e scenari - La mappa del rischio sismico in Italia')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3010, 'S10', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S10 Fiscalit immobiliare - Index')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3011, 'S11', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S11 Fiscalit immobiliare - Principali novit derivanti dalla Legge di Bilancio 2017')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3012, 'S12', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S12 Fiscalit immobiliare - Scadenzario')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3013, 'S13', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S13 Mappatura strategica del patrimonio immobiliare - Index')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3014, 'S14', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S14 Mappatura strategica del patrimonio immobiliare - Sintesi')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3015, 'S15', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S15 Mappatura strategica del patrimonio immobiliare - Distribuzione geografica')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3016, 'S16', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S16 Analisi del rischio - Index')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3017, 'S17', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S17 Analisi del rischio - Diversificazione del patrimonio complessivo')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3018, 'S18', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S18 Analisi del rischio - Correlazione del patrimonio complessivo')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3019, 'S19', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S19 Analisi del rischio - Sintesi')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3020, 'S20', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S20 Analisi del rischio - Dettaglio')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3021, 'S21', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S21 Dettaglio immobili - Index')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3022, 'S22', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S22 Dettaglio immobili - Immobili ad uso abitativo e strumentali')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3023, 'S23', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S23 Dettaglio immobili - Immobili dinvestimento')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3024, 'S24', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S24 Dettaglio immobili - Immobili con finalit non specificata')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3025, 'S25', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S25 Dettaglio immobili - Immobili con diritti e/o quote di diritto variate')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3026, 'S26', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S26 Dettaglio immobili - Anomalie catastali')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3027, 'S27', 'Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Monitoraggio', 'S27 Glossario - Dictionar')



-- sections
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3501, 'S1', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S1 Cover Page')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3502, 'S2', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S2 Contesto e scenari - Index')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3503, 'S3', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S3 Contesto e scenari - Introduzione')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3504, 'S4', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S4 Contesto e scenari - Focus Italia')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3505, 'S5', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S5 Contesto e scenari - Focus principali citt')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3506, 'S6', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S6 Contesto e scenari - Focus territoriale')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3507, 'S7', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S7 Contesto e scenari - Aspettative futurer')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3508, 'S8', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S8 Contesto e scenari - Ambiti di opportunit')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3509, 'S9', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S9 Contesto e scenari - La mappa del rischio sismico in Italia')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3510, 'S10', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S10 Fiscalit immobiliare - Index')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3511, 'S11', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S11 Fiscalit immobiliare - Principali novit derivanti dalla Legge di Bilancio 2017')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3512, 'S12', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S12 Fiscalit immobiliare - Scadenzario')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3513, 'S13', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S13 Mappatura strategica del patrimonio immobiliare - Index')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3514, 'S14', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S14 Mappatura strategica del patrimonio immobiliare - Sintesi')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3515, 'S15', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S15 Mappatura strategica del patrimonio immobiliare - Distribuzione geografica')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3516, 'S16', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S16 Analisi del rischio - Index')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3517, 'S17', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S17 Analisi del rischio - Diversificazione del patrimonio complessivo')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3518, 'S18', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S18 Analisi del rischio - Correlazione del patrimonio complessivor')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3519, 'S19', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S19 Analisi del rischio - Sintesi')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3520, 'S20', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S20 Analisi del rischio - Dettaglio')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3521, 'S21', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S21 Dettaglio immobili - Index')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3522, 'S22', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S22 Dettaglio immobili - Immobili ad uso abitativo e strumentali')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3523, 'S23', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S23 Dettaglio immobili - Immobili dinvestimento')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3524, 'S24', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S24 Dettaglio immobili - Immobili con finalit non specificatar')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3525, 'S25', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S25 Dettaglio immobili - Immobili con diritti e/o quote di diritto variate')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3526, 'S26', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S26 Dettaglio immobili - Anomalie catastali')
insert into [ReportModeler2].[dbo].[ClassiLayout] (IdChiaveLayout, Classe, [Namespace], Descrizione) values
(3527, 'S27', 'Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio', 'S27 Glossario - Dictionary')



insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(201, 'Capitoli s1', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(202, 'Capitoli s2', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(203, 'Capitoli s3', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(204, 'Capitoli s4', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(205, 'Capitoli s5', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(206, 'Capitoli s6', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(207, 'Capitoli s7', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(208, 'Capitoli s8', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(209, 'Capitoli s9', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(210, 'Capitoli s10', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(211, 'Capitoli s11', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(212, 'Capitoli s12', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(213, 'Capitoli s13', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(214, 'Capitoli s14', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(215, 'Capitoli s15', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(216, 'Capitoli s16', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(217, 'Capitoli s17', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(218, 'Capitoli s18', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(219, 'Capitoli s19', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(220, 'Capitoli s20', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(221, 'Capitoli s21', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(222, 'Capitoli s22', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(223, 'Capitoli s23', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(224, 'Capitoli s24', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(225, 'Capitoli s25', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(226, 'Capitoli s26', 1)
insert into [ReportModeler2].[dbo].[Capitoli] (id, Descrizione, RipetiOgniPagina) values
(227, 'Capitoli s27', 1)


insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (201, 'S1 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (202, 'S2 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (203, 'S3 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (204, 'S4 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (205, 'S5 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (206, 'S6 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (207, 'S7 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (208, 'S8 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (209, 'S9 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (210, 'S10 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (211, 'S11 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (212, 'S12 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (213, 'S13 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (214, 'S14 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (215, 'S15 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (216, 'S16 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (217, 'S17 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (218, 'S18 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (219, 'S19 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (220, 'S20 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (221, 'S21 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (222, 'S22 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (223, 'S23 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (224, 'S24 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (225, 'S25 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (226, 'S26 paragrafo', null)
insert into [ReportModeler2].[dbo].[Paragrafi] (id, nome, descrizione) values (227, 'S27 paragrafo', null)


insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(501, 11, 12, 201, 3001, 201, NULL, 201, 3501, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(502, 11, 12, 202, 3002, 202, NULL, 202, 3502, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(503, 11, 12, 203, 3003, 203, NULL, 203, 3503, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(504, 11, 12, 204, 3004, 204, NULL, 204, 3504, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(505, 11, 12, 205, 3005, 205, NULL, 205, 3505, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(506, 11, 12, 206, 3006, 206, NULL, 206, 3506, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(507, 11, 12, 207, 3007, 207, NULL, 207, 3507, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(508, 11, 12, 208, 3008, 208, NULL, 208, 3508, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(509, 11, 12, 209, 3009, 209, NULL, 209, 3509, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(510, 11, 12, 210, 3010, 210, NULL, 210, 3510, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(511, 11, 12, 211, 3011, 211, NULL, 211, 3511, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(512, 11, 12, 212, 3012, 212, NULL, 212, 3512, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(513, 11, 12, 213, 3013, 213, NULL, 213, 3513, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(514, 11, 12, 214, 3014, 214, NULL, 214, 3514, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(515, 11, 12, 215, 3015, 215, NULL, 215, 3515, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(516, 11, 12, 216, 3016, 216, NULL, 216, 3516, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(517, 11, 12, 217, 3017, 217, NULL, 217, 3517, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(518, 11, 12, 218, 3018, 218, NULL, 218, 3518, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(519, 11, 12, 219, 3019, 219, NULL, 219, 3519, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(520, 11, 12, 220, 3020, 220, NULL, 220, 3520, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(521, 11, 12, 221, 3021, 221, NULL, 221, 3521, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(522, 11, 12, 222, 3022, 222, NULL, 222, 3522, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(523, 11, 12, 223, 3023, 223, NULL, 223, 3523, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(524, 11, 12, 224, 3024, 224, NULL, 224, 3524, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(525, 11, 12, 225, 3025, 225, NULL, 225, 3525, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(526, 11, 12, 226, 3026, 226, NULL, 226, 3526, NULL, NULL, NULL)
insert into [ReportModeler2].[dbo].[TemplateStrutturaModelli]  (ID, IdReport, IdModello, IdCapitolo, Capitolo_ChiaveLayout, IdParagrafo, Paragrafo_ChiaveLayout, IdSezione, 
Sezione_ChiaveLayout, ChiaveIntegrazione, Integrazione_ChiaveLayout, Ordinamento) values
(527, 11, 12, 227, 3027, 227, NULL, 227, 3527, NULL, NULL, NULL)




