﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Consulenza.ReportCommon
{
    /// <summary>
    /// Rappresentazione del cliente.
    /// </summary>
    public class Delegato
    {

        /// <summary>
        /// Imposta o recupera la chiave del delegato
        /// </summary>
        /// 

        public int chiaveDelegato { get; set; }

        /// <summary>
        /// Imposta o recupera il nome del delegato
        /// </summary>
        /// 

        public string Nome { get; set; }

        /// <summary>
        /// Imposta o recupera il cognome del delegato
        /// </summary>
        public string Cognome { get; set; }

        /// <summary>
        /// Imposta o recupera il codice fiscale del delegato.
        /// </summary>
        public string CodiceFiscale { get; set; }


    }

}
