﻿namespace Consulenza.ReportModeler.Business.Immobiliare.MonitoraggioNuclei
{
    /// <summary>
    /// Classe di business che si occupa di recuperare le informazioni legate alla logica di modellazione del report (ReportModeler).
    /// </summary>
    public class ReportStructBusiness
    {
        /// <summary>
        /// Recupera l'id del report.
        /// E' definito a livello di database. Campo ID di [ReportModeler2].[dbo].[Report]
        /// </summary>
        /// <returns></returns>
        public int GetIdReport()
        {
            return 12;
        }

        /// <summary>
        /// Recupera l'id del report.
        /// E' definito a livello di database. Campo ID di [ReportModeler2].[dbo].[Modelli]
        /// </summary>
        /// <returns></returns>
        public int GetIdModel()
        {
            return 13;
        }
    }
}
